## dbus-test-runner 15.10.0~bzr98+repack1

=== debian/changelog ===
dbus-test-runner (15.10.0~bzr98+repack1-1) unstable; urgency=medium

  * New Bzr snapshot (trunk branch, rev 98).
    Released in Ubuntu as 15.04.0+15.10.20151002-0ubuntu1.
  * debian/libdbustest1.symbols:
    + Update with two new symbols for this snapshot.
  * debian/control:
    + Remove XS-Testsuite: field. Not required anymore since dpkg 1.17.11.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Oct 2015 00:36:32 +0100

dbus-test-runner (15.04.0~bzr87+repack1-2) unstable; urgency=medium

  * debian/control:
    + Soften Breaks:/Replaces: relation to previous package versions.
      (Closes: #788855).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 10:10:19 +0200

dbus-test-runner (15.04.0~bzr87+repack1-1) unstable; urgency=medium

  * Initial release. (Closes: #677271)

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jan 2015 15:04:30 +0100
