## dbus-test-runner 16.10.0~bzr100+repack1

=== debian/changelog ===
dbus-test-runner (16.10.0~bzr100+repack1-2) unstable; urgency=medium

  * debian/control: Add Vcs-*: fields.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jan 2017 08:56:46 +0100

dbus-test-runner (16.10.0~bzr100+repack1-1) unstable; urgency=medium

  * New Bzr snapshot (trunk branch, rev 100).
  * debian/rules:
   + In get-orig-source, create orig tarball in ../ rather than in ./.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Nov 2016 17:11:48 +0100

dbus-test-runner (15.10.0~bzr98+repack1-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D and D (dbus-test-runner): procps. (Closes: #820662, #805389).
    + Bump Standards: to 3.9.8. No changes needed.
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
  * debian/rules:
    + Enable all hardening flags.
    + Fix flaw in get-orig-source variable setting code.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Aug 2016 22:35:28 +0200
