=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack1// \
http://launchpad.net/dbus-test-runner/+download .*/dbus-test-runner-([0-9.]+)\.tar\.gz
