## dbus-test-runner 19.04.0

=== debian/changelog ===
dbus-test-runner (19.04.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/patches: Add patch to fix the build without libdbus-glib-1-dev.
  * d/control: Replace Build-Depends on libdbus-glib-1-dev with libglib2.0-dev.
    Loosely based on an earlier patch from Kentaro Hayashi. (Closes: #955832).

  [ Mike Gabriel ]
  * debian/man/dbus-test-runner.1: Default timeout is 60s, not 30s.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 28 Aug 2025 12:54:22 +0200

dbus-test-runner (19.04.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: don't test with bustle until it can be shipped in testing again
    (Closes: #1086645)

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Apr 2025 13:43:46 +0200

dbus-test-runner (19.04.0-1) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 10 May 2022 20:49:05 +0200

dbus-test-runner (19.04.0-1~exp2) experimental; urgency=medium

  * [55766e8] Remove patches, connected to #986590
  * [7901d8f] Disable test-libdbustest-mock-test temporarly

 -- Anton Gladky <gladk@debian.org>  Tue, 10 May 2022 18:16:47 +0200

dbus-test-runner (19.04.0-1~exp1) experimental; urgency=medium

  * [57fb103] Add .gitlab-ci.yml
  * [969aaac] Replace override_dh_install by execute_before_dh_install
  * [a24b11a] Apply cme fix dpkg. Set Standards-Version to 4.6.0 (no changes)
  * [ec7e8a0] Install .a file into the -dev package
  * [dd57f49] Drop dependency on dpkg-dev
  * [4fce83e] Add d/watch
  * [58e714e] Drop libdbus-glib-1-dev from build-depends
  * [c17549e] Add public upstream key
  * [e86e4f1] Mangle version
  * [e859d4d] New upstream version 19.04.0
  * [3ee2e99] Refresh patchs, disable deprecated ones
  * [f9ef7ab] Use secure URI in debian/watch.
  * [731867c] Re-export upstream signing key without extra signatures.
  * [0da0559] Set upstream metadata fields: Repository, Repository-Browse.
  * [1e1ebdb] Try to fix #986590
  * [03decce] Update copyright file
  * [e821555] Set higher SESSION_WAIT_TIME
  * [75445c1] Remove old unused patches
  * [5e64bf0] Clean-up in d/rules
  * [a13e504] Add myself as uploader

 -- Anton Gladky <gladk@debian.org>  Wed, 04 May 2022 07:02:20 +0200

dbus-test-runner (16.10.0~bzr100+repack1-5~exp2) experimental; urgency=medium

  * debian/patches:
    + Add 2001_be-more-generous-with-SESSION_MAX_WAIT.patch. Set
      SESSION_MAX_WAIT to 1000 (instead of 100). This hopefully
      resolves flaky autopkgtests. (Closes: #986590).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 May 2021 12:51:50 +0200

dbus-test-runner (16.10.0~bzr100+repack1-5~exp1) experimental; urgency=medium

  * Upload to experimental.

  * debian/patches:
    + Slightly improve description in header of
      1002_new-gobject-private-api.patch.
  * debian/changelog:
    + Correct entry in previous changelog stanza.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump DH compat level to version 13.
  * debian/rules:
    + Adjust for DH compat level 13.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Apr 2021 13:42:43 +0200

dbus-test-runner (16.10.0~bzr100+repack1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/dont-build-with-werror.patch: Don't build with -Werror;
    this is a bad idea for release builds as it means you get build failures
    for deprecations (Closes: #941488)
  * debian/patches/replace-deprecated-functions.patch: tests: Replace
    deprecated g_main_{pending,iteration} with current
    g_main_context_{pending,iteration}

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 02 Oct 2019 10:02:52 +0100

dbus-test-runner (16.10.0~bzr100+repack1-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Add 1002_new-gobject-private-api.patch. Port to newer GObject private
      API/ABI. (Closes: #908275).
  * debian/rules:
    + Add include line for pkg-info.mk.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Nov 2018 22:43:17 +0100

dbus-test-runner (16.10.0~bzr100+repack1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Update Section: field (gnome -> devel).
    + Switch B-D from gnome-common to mate-common. (Closes: #829965).
    + White-space cleanup.
  * debian/patches:
    + Add 1001_use-mate-common.patch. Build using mate-autogen instead of
      gnome-autogen.sh.
  * debian/{control,compat}:
    + Bump to DH compat level version 11.
  * debian/tests:
    + Add autopkgtests (from Ubuntu).
  * debian/copyright:
    + Use secure URI to obtain copyright format reference
  * debian/rules:
    + Don't parse dpkg-parsechangelog output. Add debian/ to list of removed
      files/folders when packing our orig tarball.
  * debian/copyright:
    + Add global Comment: field that explains what we repack in the orig
      tarball.
    + Use secure URI to obtain copyright format reference.
  * debian/watch:
    + Drop file. We obtain orig tarball from Bzr VCS.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 20:41:11 +0200
