=== debian/control ===
Source: dbus-test-runner
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               mate-common,
               xvfb,
               libglib2.0-dev,
               dbus,
               python3-dbusmock,
               procps
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/dbus-test-runner/
Vcs-Git: https://salsa.debian.org/debian/dbus-test-runner.git
Homepage: https://launchpad.net/dbus-test-runner

Package: dbus-test-runner
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus,
         procps
Suggests: bustle
Description: Runs tests under a new DBus session
 A simple little executable for running a couple of programs under a
 new DBus session.
 .
 Use this DBus tool for unit testing of code that accesses DBus at
 runtime.

Package: libdbustest1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-dbusmock
Description: Runs tests under a new DBus session (shared library)
 A simple little executable for running a couple of programs under a
 new DBus session.
 .
 This package contains the shared libraries.

Package: libdbustest1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev,
         libdbustest1 (= ${binary:Version})
Description: Runs tests under a new DBus session (development files)
 A simple little executable for running a couple of programs under a
 new DBus session.
 .
 This package contains files that are needed for development.
