=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-scrollkeeper --libexecdir /usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_auto_test:
	VERBOSE=1 dh_auto_test

execute_before_dh_install:
	find debian/ -name \*.la -delete
