=== debian/tests/control ===
Tests: with-bustle
Depends: dbus-test-runner, build-essential, intltool, pkg-config, libglib2.0-dev, python3-dbusmock
Restrictions: build-needed
