=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\.repack// \
   https://launchpad.net/dbus-test-runner/+download \
   https://launchpad.net/.*download/dbus-test-runner-([.\d]+)\.tar\.gz
